[ARVADOS-DEV] updated: 739ade8f232e6681c2e55fc130c0e92a02c6507c
Git user
git at public.curoverse.com
Tue Feb 14 11:15:59 EST 2017
Summary of changes:
jenkins/run-deploy.sh | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
via 739ade8f232e6681c2e55fc130c0e92a02c6507c (commit)
from 1680a689ca5633f7816ca6aa884eb6ba47b1673e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 739ade8f232e6681c2e55fc130c0e92a02c6507c
Author: Ward Vandewege <ward at curoverse.com>
Date: Tue Feb 14 11:15:38 2017 -0500
Docker 1.13 doesn't support tag --force anymore. Detect that.
No issue #
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index 66d395d..22d5236 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -270,8 +270,15 @@ if [[ "$?" == "0" ]]; then
else
title "Installing latest arvados/jobs Docker image"
ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN /usr/local/rvm/bin/rvm-exec default arv keep docker --pull --project-uuid=$DOCKER_IMAGES_PROJECT arvados/jobs $GIT_COMMIT"
+ ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER docker tag --force >/dev/null 2>&1
+ # docker 1.13 no longer supports --force. Sigh.
+ if [[ "$?" == "125" ]]; then
+ FORCE_TAG=""
+ else
+ FORCE_TAG="--force"
+ fi
## adding latest tag too refs 9254
- ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER docker tag --force arvados/jobs:$GIT_COMMIT arvados/jobs:latest
+ ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER docker tag $FORCE_TAG arvados/jobs:$GIT_COMMIT arvados/jobs:latest
ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv-keepdocker --project-uuid=$DOCKER_IMAGES_PROJECT arvados/jobs latest"
if [[ "$?" -ne 0 ]]; then
title "'git pull' failed exiting..."
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list